package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="原料港存库出库作业")
public class WmshOutboundResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 出库单编号(RESULT_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="出库单编号",required=false)
    private String resultNumber;

    /**
     * 港口ID(HARBOR_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="港口ID",required=false)
    private BigDecimal harborId;

    /**
     * 出库物资吨位(RESULT_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="出库物资吨位",required=false)
    private BigDecimal resultTonnage;

    /**
     * 是否清场（清场；未清场）(RESULT_CLEARING,VARCHAR,20)
     */
    @ApiModelProperty(value="是否清场（清场；未清场）",required=false)
    private String resultClearing;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 批次ID(BATCH_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public String getResultNumber() {
        return resultNumber;
    }

    public void setResultNumber(String resultNumber) {
        this.resultNumber = resultNumber == null ? null : resultNumber.trim();
    }

    public BigDecimal getHarborId() {
        return harborId;
    }

    public void setHarborId(BigDecimal harborId) {
        this.harborId = harborId;
    }

    public BigDecimal getResultTonnage() {
        return resultTonnage;
    }

    public void setResultTonnage(BigDecimal resultTonnage) {
        this.resultTonnage = resultTonnage;
    }

    public String getResultClearing() {
        return resultClearing;
    }

    public void setResultClearing(String resultClearing) {
        this.resultClearing = resultClearing == null ? null : resultClearing.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultNumber=").append(resultNumber);
        sb.append(", harborId=").append(harborId);
        sb.append(", resultTonnage=").append(resultTonnage);
        sb.append(", resultClearing=").append(resultClearing);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", batchId=").append(batchId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}